/*
 * YARBTest.java
 *
 * Created on 24. Mai 2000, 13:50
 */
 
package YARB;
import YARB.Interfaces.*;
import YARB.Main.*;


/** 
 *
 * @author  Thomas
 * @version 
 */
public class YARBTest extends Object {

  /** Creates new YARBTest */
  public YARBTest() {
  }
  
  /**
  * @param args the command line arguments
  */
  public static void main (String args[]) {
    
    System.out.println("\nY A R B -  Yet Another Result Browser\n\nStarting YARB with test configurations...");
  
    CreateVisualizationManagerTestData();
    
    System.out.println(".");
    
    YMainFrame mf=new YMainFrame("YARB GuiTest 1");
    mf.show();

    System.out.println(".");

    YVNavigator nav= new YVNavigator ("YARB Navigator...");
    mf.AddFrame(nav);

    System.out.println(".ready!\n");
    
  }

  private static void CreateVisualizationManagerTestData()
  {
    YVisualizationManager VMan = YVisualizationManager.exemplar();
    IVisualContainer cv;
    
    for(int i=0; i<10; i++)
    {
      cv=VMan.createContainer(null);
      
      IFileSource fs = VMan.createFileSource(null);    
      IDataViewer dv = VMan.createDataViewer(null);    
      
      cv.setFileSource(fs);
      cv.setDataView(dv);
      
      IDataFilter df;
      
      for(int k=0; k<3;k++)
      {
          df = VMan.createDataFilter(null);    
          cv.addDataFilter(df);
        };
      };

  }

}