/*
 * YFSDummy.java
 *
 * Created on 17. April 2000, 22:19
 */
 
package YARB.FileSources;
import YARB.Interfaces.*;
import javax.swing.*;
import YARB.Dialogs.*;

/** 
 *
 * @author  Thomas
 * @version 
 */
public class YFSImageViewer
extends Object 
implements IFileSource 
{

  /** Creates new YFSDummy */
  public YFSImageViewer() {
  }
  
  /**
  * Contains the assigned name string.
  */
  private String  m_strName;
  
  protected String m_FileName;
 
  /** This function forces the object to save its configuration data to a file
   */
  public boolean SaveConfiguration(IConfigurationWriter Cfg) throws IConfigurationWriter.ECfgWriterError {
    if(Cfg==null) return false;
    
    Cfg.addTitle(getName());
    
    return true;
  }
  
  /** This function forces the object to read a configuration from a file
   */
  public boolean LoadConfiguration(IConfigurationReader Cfg) throws IConfigurationReader.ECfgReaderError {
    if(Cfg==null) return false;
    
    setName(Cfg.getTitle());
    return true;
  }
 
  public boolean IsConfigurable()
  {
    return true;
  }
  
  
  public boolean ShowConfigurationDialog(JFrame ParentFrame)
  {
    YStandardNameChooser dlg= new YStandardNameChooser(ParentFrame, "YARB Viewer Properties",true,getName());
    dlg.show();
    
    setName(dlg.getName());
    return true;  
  }

  
  public int numbOfPatterns()
  {
    return 0;
  }
  
  public int numbOfInputUnits()
  {
    return 0;
  }
  
  public int numbOfOutputUnits()
  {
    return 0;
  }
  
  public int numbOfVariableInputDimensions()
  {
    return 0;
  }
  
  public int numbOfVariableOutputDimensions()
  {
    return 0;
  }
  
  public int getMaxInputDimesion(int nVarInputDimesion)
  {    
    return 0;
  }
  
  public int getMaxOutputDimesion(int nVarOutputDimesion)
  {
    return 0;
  }
 
  public float getInputData(int nPattern,int nUnit)
  {
    return (float)0;
  }
  
  public float getOutputData(int nPattern,int nUnit)
  {
    return (float)0;
  }
  
  
  public boolean ProcessData() throws IDataProvider.DataProcessingError
  {
    System.out.println("Opening : < " + m_FileName + " >");
    return true;
  }
  
  public boolean FreeData() 
  {
    return true;
  }

  
  

  
  public void setFileName(String strName)
  {
    m_FileName=strName;
  } 
    
  /**
  * Assigns a name to the current object.
  */
  public void setName(String strName){
    m_strName=strName;
  }
    
  /**
  * Returns the assigned name of the object
  */
  public String  getName(){
    return m_strName;
  }
 
}