/*
 * YDFArithmeticCFG.java
 *
 * Created on 22. Mai 2000, 18:14
 */
 
package YARB.Filter;
import javax.swing.JOptionPane;
import java.lang.Float;
import java.awt.Dimension;
import java.awt.Point;

/** 
 *
 * @author  Administrator
 * @version 
 */
public class YDFArithmeticCFG extends javax.swing.JDialog {
    private int m_nOperation;
    private int m_nOperand;
    private float m_fConstantValue;
    
  /** Creates new form YDFArithmeticCFG */
  public YDFArithmeticCFG(java.awt.Frame parent,String strTitle,boolean modal) {
    super (parent, strTitle,modal);
    initComponents ();
    pack ();
    
   // Center on the parent frame on the screen    
    if(parent != null)
    {
       Dimension screenSize =parent.getSize();
       Dimension size = getSize();
       Point parentPos = parent.getLocation();
       screenSize.height = screenSize.height/2;
       screenSize.width = screenSize.width/2;
       size.height = size.height/2;
       size.width = size.width/2;
       int y = screenSize.height - size.height + parentPos.y;
       int x = screenSize.width - size.width + parentPos.x;
       setLocation(x, y);        
    };    
    
    
  }

  
  public void setOperation(int n){
    m_nOperation = n;
    updateOperation(n);
  }
  
  public void setOperand(int n){
    m_nOperand = n;
    updateOperand(n);
 }
  
  public void setConstVal(float f){
    m_fConstantValue=f;
    textConst.setText(Float.toString(f));
  }
  
  public int getOperation(){
    return m_nOperation;
  }
  
  public int getOperand(){
    return m_nOperand;
  }
  
  public float getConstVal(){
    return m_fConstantValue;
  }
  
  private void updateOperation(int n){
    
    radioAdd.setSelected(false);
    radioSub.setSelected(false);
    radioMult.setSelected(false);
    radioDiv.setSelected(false);
    radioPow.setSelected(false);
    
    switch(n)
    {
      case 1: radioAdd.setSelected(true); break;
      case 2: radioSub.setSelected(true); break;
      case 3: radioMult.setSelected(true); break;
      case 4: radioDiv.setSelected(true); break;
      case 5: radioPow.setSelected(true); break;
    };
  }
   private void updateOperand(int n){
    
    checkConst.setSelected(false);
    checkAvg.setSelected(false);
    checkMax.setSelected(false);
    checkMin.setSelected(false);
    checkSum.setSelected(false);
    
    switch(n)
    {
      case 1: checkConst.setSelected(true); break;
      case 2: checkAvg.setSelected(true); break;
      case 3: checkMax.setSelected(true); break;
      case 4: checkMin.setSelected(true); break;
      case 5: checkSum.setSelected(true); break;
    };
  }
   
  
  
  
  /** This method is called from within the constructor to
   * initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is
   * always regenerated by the FormEditor.
   */
  private void initComponents () {//GEN-BEGIN:initComponents
    buttonOK = new javax.swing.JButton ();
    buttonCancel = new javax.swing.JButton ();
    radioAdd = new javax.swing.JRadioButton ();
    radioSub = new javax.swing.JRadioButton ();
    radioMult = new javax.swing.JRadioButton ();
    radioDiv = new javax.swing.JRadioButton ();
    radioPow = new javax.swing.JRadioButton ();
    jLabel1 = new javax.swing.JLabel ();
    jLabel2 = new javax.swing.JLabel ();
    checkConst = new javax.swing.JCheckBox ();
    textConst = new javax.swing.JTextField ();
    checkAvg = new javax.swing.JCheckBox ();
    checkMax = new javax.swing.JCheckBox ();
    checkMin = new javax.swing.JCheckBox ();
    checkSum = new javax.swing.JCheckBox ();
    getContentPane ().setLayout (new java.awt.GridBagLayout ());
    java.awt.GridBagConstraints gridBagConstraints1;
    setName ("Cancel");
    addWindowListener (new java.awt.event.WindowAdapter () {
      public void windowClosing (java.awt.event.WindowEvent evt) {
        closeDialog (evt);
      }
    }
    );

    buttonOK.setText ("Ok");
    buttonOK.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        buttonOKActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 13;
    gridBagConstraints1.gridwidth = 7;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.ipadx = 23;
    gridBagConstraints1.ipady = 3;
    gridBagConstraints1.insets = new java.awt.Insets (16, 70, 0, 0);
    getContentPane ().add (buttonOK, gridBagConstraints1);

    buttonCancel.setText ("Cancel");
    buttonCancel.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        buttonCancelActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 13;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.ipadx = 3;
    gridBagConstraints1.ipady = 3;
    gridBagConstraints1.insets = new java.awt.Insets (16, 10, 0, 0);
    getContentPane ().add (buttonCancel, gridBagConstraints1);

    radioAdd.setText ("Add");
    radioAdd.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        radioAddActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 1;
    gridBagConstraints1.gridheight = 2;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (4, 50, 0, 0);
    getContentPane ().add (radioAdd, gridBagConstraints1);

    radioSub.setText ("Substract");
    radioSub.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        radioSubActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 5;
    gridBagConstraints1.gridwidth = 6;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (0, 50, 0, 0);
    getContentPane ().add (radioSub, gridBagConstraints1);

    radioMult.setText ("Multiply");
    radioMult.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        radioMultActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 7;
    gridBagConstraints1.gridwidth = 4;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (6, 50, 0, 0);
    getContentPane ().add (radioMult, gridBagConstraints1);

    radioDiv.setText ("Divide");
    radioDiv.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        readioDivActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 9;
    gridBagConstraints1.gridwidth = 2;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (6, 50, 0, 0);
    getContentPane ().add (radioDiv, gridBagConstraints1);

    radioPow.setText ("Power");
    radioPow.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        radioPowActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 11;
    gridBagConstraints1.gridwidth = 3;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (6, 50, 0, 0);
    getContentPane ().add (radioPow, gridBagConstraints1);

    jLabel1.setText ("Operation:");
    jLabel1.setForeground (java.awt.Color.blue);


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 0;
    gridBagConstraints1.gridwidth = 5;
    gridBagConstraints1.gridheight = 2;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.ipadx = 30;
    gridBagConstraints1.ipady = 24;
    gridBagConstraints1.insets = new java.awt.Insets (0, 40, 0, 0);
    getContentPane ().add (jLabel1, gridBagConstraints1);

    jLabel2.setText ("2nd Operand:");
    jLabel2.setForeground (java.awt.Color.blue);


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 0;
    gridBagConstraints1.gridwidth = 3;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (10, 40, 0, 0);
    getContentPane ().add (jLabel2, gridBagConstraints1);

    checkConst.setText ("Constant Value");
    checkConst.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        checkConstActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 1;
    gridBagConstraints1.gridwidth = 6;
    gridBagConstraints1.gridheight = 2;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (4, 50, 0, 0);
    getContentPane ().add (checkConst, gridBagConstraints1);



    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 14;
    gridBagConstraints1.gridy = 1;
    gridBagConstraints1.gridheight = 4;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.ipadx = 86;
    gridBagConstraints1.ipady = 10;
    gridBagConstraints1.insets = new java.awt.Insets (4, 20, 0, 0);
    getContentPane ().add (textConst, gridBagConstraints1);

    checkAvg.setText ("Average");
    checkAvg.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        checkAvgActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 5;
    gridBagConstraints1.gridwidth = 4;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (0, 50, 0, 0);
    getContentPane ().add (checkAvg, gridBagConstraints1);

    checkMax.setText ("Maximum Value");
    checkMax.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        checkMaxActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 7;
    gridBagConstraints1.gridwidth = 7;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (6, 50, 0, 0);
    getContentPane ().add (checkMax, gridBagConstraints1);

    checkMin.setText ("Minimum Value");
    checkMin.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        checkMinActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 9;
    gridBagConstraints1.gridwidth = 5;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (6, 50, 0, 0);
    getContentPane ().add (checkMin, gridBagConstraints1);

    checkSum.setText ("Sum");
    checkSum.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        checkSumActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 11;
    gridBagConstraints1.gridwidth = 2;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.insets = new java.awt.Insets (6, 50, 0, 0);
    getContentPane ().add (checkSum, gridBagConstraints1);

  }//GEN-END:initComponents

  private void checkSumActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSumActionPerformed
// Add your handling code here:
    setOperand(5);
  }//GEN-LAST:event_checkSumActionPerformed

  private void checkMinActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMinActionPerformed
// Add your handling code here:
    setOperand(4);
  }//GEN-LAST:event_checkMinActionPerformed

  private void checkMaxActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkMaxActionPerformed
// Add your handling code here:
    setOperand(3);
  }//GEN-LAST:event_checkMaxActionPerformed

  private void checkAvgActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkAvgActionPerformed
// Add your handling code here:
    setOperand(2);
  }//GEN-LAST:event_checkAvgActionPerformed

  private void checkConstActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkConstActionPerformed
// Add your handling code here:
    setOperand(1);
  }//GEN-LAST:event_checkConstActionPerformed

  private void buttonOKActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonOKActionPerformed
// Add your handling code here:
    if(radioAdd.isSelected()){
      m_nOperation=1;
    }
    else if (radioSub.isSelected()){
      m_nOperation=2;
    }
    else if (radioMult.isSelected()){
      m_nOperation=3;
    }
    else if (radioDiv.isSelected()){
      m_nOperation=4;
    }
    else if (radioPow.isSelected()){
      m_nOperation=5;
    };
    
    if(checkConst.isSelected()){
      m_nOperand=1;
      
      float f;
      try
      {
        f=Float.parseFloat(textConst.getText());
      }
      catch(NumberFormatException e)
      {
         JOptionPane.showMessageDialog(this,"Constant value is not a valid float.\n(ERROR: " + e.getMessage() + ")","YARB input error",JOptionPane.ERROR_MESSAGE);
        return;
      };
      
      setConstVal(f);
    }
    else if (checkAvg.isSelected()){
      m_nOperand=2;
    }
    else if(checkMax.isSelected()){
      m_nOperand=3;
    }
    else if(checkMin.isSelected()){
      m_nOperand=4;
    }
    else if(checkSum.isSelected()){
      m_nOperand=5;
    };
    
    setVisible (false);
    dispose ();
    
  }//GEN-LAST:event_buttonOKActionPerformed

  private void radioPowActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_radioPowActionPerformed
// Add your handling code here:
    updateOperation(5);
  }//GEN-LAST:event_radioPowActionPerformed

  private void readioDivActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_readioDivActionPerformed
// Add your handling code here:
    updateOperation(4);
  }//GEN-LAST:event_readioDivActionPerformed

  private void radioMultActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_radioMultActionPerformed
// Add your handling code here:
    updateOperation(3);
  }//GEN-LAST:event_radioMultActionPerformed

  private void radioSubActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_radioSubActionPerformed
// Add your handling code here:
    updateOperation(2);
  }//GEN-LAST:event_radioSubActionPerformed

  private void radioAddActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_radioAddActionPerformed
// Add your handling code here:
    updateOperation(1);
  }//GEN-LAST:event_radioAddActionPerformed

  private void buttonCancelActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCancelActionPerformed
// Add your handling code here:
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_buttonCancelActionPerformed

  /** Closes the dialog */
  private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_closeDialog



  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JButton buttonOK;
  private javax.swing.JButton buttonCancel;
  private javax.swing.JRadioButton radioAdd;
  private javax.swing.JRadioButton radioSub;
  private javax.swing.JRadioButton radioMult;
  private javax.swing.JRadioButton radioDiv;
  private javax.swing.JRadioButton radioPow;
  private javax.swing.JLabel jLabel1;
  private javax.swing.JLabel jLabel2;
  private javax.swing.JCheckBox checkConst;
  private javax.swing.JTextField textConst;
  private javax.swing.JCheckBox checkAvg;
  private javax.swing.JCheckBox checkMax;
  private javax.swing.JCheckBox checkMin;
  private javax.swing.JCheckBox checkSum;
  // End of variables declaration//GEN-END:variables

}