/*
 * YDVBarChartCFG.java
 *
 * Created on 29. Mai 2000, 18:14
 */
 
package YARB.Viewer.StdViewer;
import javax.swing.JOptionPane;
import java.lang.Float;
import java.awt.Dimension;
import java.awt.Point;

/** 
 *
 * @author  Erich
 * @version 
 */
public class YDVBarChartCFG extends javax.swing.JDialog {
    private int m_nOperation;
    private int m_nOperand;
    private float m_fConstantValue;
    
  /** Creates new form YDFArithmeticCFG */
  public YDVBarChartCFG(java.awt.Frame parent,String strTitle,boolean modal) {
    super (parent, strTitle,modal);
    initComponents ();
    pack ();
    
   // Center on the parent frame on the screen    
    if(parent != null)
    {
       Dimension screenSize =parent.getSize();
       Dimension size = getSize();
       Point parentPos = parent.getLocation();
       screenSize.height = screenSize.height/2;
       screenSize.width = screenSize.width/2;
       size.height = size.height/2;
       size.width = size.width/2;
       int y = screenSize.height - size.height + parentPos.y;
       int x = screenSize.width - size.width + parentPos.x;
       setLocation(x, y);        
    };    
    
    
  }
  
  public void setOperand(int n){
    m_nOperand = n;
    updateOperand(n);
 }
  
  public void setConstVal(float f){
    m_fConstantValue=f;
    textConst.setText(Float.toString(f));
  }
  
  public int getOperand(){
    return m_nOperand;
  }
  
  public float getConstVal(){
    return m_fConstantValue;
  }
  
/*  private void updateOperation(int n){
    
    radioAdd.setSelected(false);
    radioSub.setSelected(false);
    radioMult.setSelected(false);
    radioDiv.setSelected(false);
    radioPow.setSelected(false);
    
    switch(n)
    {
      case 1: radioAdd.setSelected(true); break;
      case 2: radioSub.setSelected(true); break;
      case 3: radioMult.setSelected(true); break;
      case 4: radioDiv.setSelected(true); break;
      case 5: radioPow.setSelected(true); break;
    };
  }
   private void updateOperand(int n){
    
    checkConst.setSelected(false);
    checkAvg.setSelected(false);
    checkMax.setSelected(false);
    checkMin.setSelected(false);
    checkSum.setSelected(false);
    
    switch(n)
    {
      case 1: checkConst.setSelected(true); break;
      case 2: checkAvg.setSelected(true); break;
      case 3: checkMax.setSelected(true); break;
      case 4: checkMin.setSelected(true); break;
      case 5: checkSum.setSelected(true); break;
    };
  }
   
  
  
  
  /** This method is called from within the constructor to
   * initialize the form.
   * WARNING: Do NOT modify this code. The content of this method is
   * always regenerated by the FormEditor.
   */
  private void initComponents () {//GEN-BEGIN:initComponents
    buttonOK = new javax.swing.JButton ();
    buttonCancel = new javax.swing.JButton ();
    getContentPane ().setLayout (new java.awt.GridBagLayout ());
    java.awt.GridBagConstraints gridBagConstraints1;
    setName ("Cancel");
    addWindowListener (new java.awt.event.WindowAdapter () {
      public void windowClosing (java.awt.event.WindowEvent evt) {
        closeDialog (evt);
      }
    }
    );

    buttonOK.setText ("Ok");
    buttonOK.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        buttonOKActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 13;
    gridBagConstraints1.gridwidth = 7;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.ipadx = 23;
    gridBagConstraints1.ipady = 3;
    gridBagConstraints1.insets = new java.awt.Insets (16, 70, 0, 0);
    getContentPane ().add (buttonOK, gridBagConstraints1);

    buttonCancel.setText ("Cancel");
    buttonCancel.addActionListener (new java.awt.event.ActionListener () {
      public void actionPerformed (java.awt.event.ActionEvent evt) {
        buttonCancelActionPerformed (evt);
      }
    }
    );


    gridBagConstraints1 = new java.awt.GridBagConstraints ();
    gridBagConstraints1.gridx = 7;
    gridBagConstraints1.gridy = 13;
    gridBagConstraints1.fill = java.awt.GridBagConstraints.BOTH;
    gridBagConstraints1.ipadx = 3;
    gridBagConstraints1.ipady = 3;
    gridBagConstraints1.insets = new java.awt.Insets (16, 10, 0, 0);
    getContentPane ().add (buttonCancel, gridBagConstraints1);

  }//GEN-END:initComponents

  private void buttonOKActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonOKActionPerformed
// Add your handling code here:
    if(radioAdd.isSelected()){
      m_nOperation=1;
    }
    else if (radioSub.isSelected()){
      m_nOperation=2;
    }
    else if (radioMult.isSelected()){
      m_nOperation=3;
    }
    else if (radioDiv.isSelected()){
      m_nOperation=4;
    }
    else if (radioPow.isSelected()){
      m_nOperation=5;
    };
    
    if(checkConst.isSelected()){
      m_nOperand=1;
      
      float f;
      try
      {
        f=Float.parseFloat(textConst.getText());
      }
      catch(NumberFormatException e)
      {
         JOptionPane.showMessageDialog(this,"Constant value is not a valid float.\n(ERROR: " + e.getMessage() + ")","YARB input error",JOptionPane.ERROR_MESSAGE);
        return;
      };
      
      setConstVal(f);
    }
    else if (checkAvg.isSelected()){
      m_nOperand=2;
    }
    else if(checkMax.isSelected()){
      m_nOperand=3;
    }
    else if(checkMin.isSelected()){
      m_nOperand=4;
    }
    else if(checkSum.isSelected()){
      m_nOperand=5;
    };
    
    setVisible (false);
    dispose ();
    
  }//GEN-LAST:event_buttonOKActionPerformed

  private void buttonCancelActionPerformed (java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCancelActionPerformed
// Add your handling code here:
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_buttonCancelActionPerformed

  /** Closes the dialog */
  private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
    setVisible (false);
    dispose ();
  }//GEN-LAST:event_closeDialog



  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JButton buttonOK;
  private javax.swing.JButton buttonCancel;
  // End of variables declaration//GEN-END:variables
}
